Motorola ElfPack 1.0 SDK & PortKit & TFPG
=========================================

This package for Windows platform contains the following tools:

* ARM C/C++ Compiler, ADS1.2 [Build 848] for compiling source code.
* PortKit by Andy51 for porting ElfPack 1.0 to various Motorola phones.
* TFPG by Andy51 for porting Tasks features for ELFs to various Motorola phones.
* LibraryEditor by kadukmm for editing compiled ELF libraries.
* SDK header files by Andy51, G-XaD, om2804, and other developers from MotoFan.Ru forum.

## Install

Unpack archive and copy all files to `C:\ARM` directory, add it to `%PATH%` environment variable.

## Usage SDK

Set proper paths to ADS compiler, libraries and SDK headers in `make.cmd`, `make.bat`, `build.cmd`, and other build scripts.

```
C:\Project> make
C:\Project> build
```

## Usage PortKit

```
C:\ARM> make_lib.cmd L6_R3511_G_0A.52.45R_A_CG1.bin
C:\ARM> make_lib_macho.cmd L6_R3443H1_G_0A.65.0BR_CG1.bin
```

## Usage TFPG

Edit `generate.cmd` file.

```
C:\ARM\TFPG> generate.cmd
```

## Authors

Andy51, G-XaD, om2804, kadukmm, etc.

## Additional Information

[ELFs developing and porting](https://forum.motofan.ru/index.php?showforum=184)

© MotoFan.Ru, 2007-2022.
